#include<bits/stdc++.h>

using namespace std;
int N;
int x[1005],y[1005],z[1005],res,t;
int main(){
    res=0;
    cin>>N;
    for(int i=1;i<=N;i++){
        cin>>x[i]>>y[i]>>z[i];
          t=z[i];
    }
    for(int i=1;i<=N;i++){
    if(x[i]==y[t]){
            res+=N;
        }
    }
 cout<<res<<endl;
return 0;
}